### Name: R2
### Title: Summarizing prediction error curves
### Aliases: R2 crps
### Keywords: survival

### ** Examples
set.seed(18713)

## Not run: 
##D dat=SimSurv(100)
##D nullmodel=prodlim(Hist(time,status)~1,data=dat)
##D pmodel=coxph(Surv(time,status)~X1+X2,data=dat)
##D perror=pec(list(KaplanMeier=nullmodel,Cox=pmodel),Hist(time,status)~1,data=dat)
##D 
##D ## cumulative prediction error
##D crps(perror,times=1) # between min time and 1
##D crps(perror,times=1,start=0) # between 0 and 1
##D crps(perror,times=seq(0,1,.2),start=0) # between 0 and seq(0,1,.2)
##D 
##D R2(perror,times=seq(0,1,.1))
## End(Not run)



