### Name: ipcw
### Title: Estimation of censoring probabilities
### Aliases: ipcw
### Keywords: survival

### ** Examples

## Not run: 
##D dat=prodlim:::SimSurv(300)
##D 
##D dat <- dat[order(dat$time),]
##D 
##D # using the marginal Kaplan-Meier for the censoring times
##D 
##D WKM=ipcw(Hist(time,status)~X2,data=dat,model="marginal",times=sort(unique(dat$time)),otimes=dat$time)
##D plot(WKM$fit)
##D WKM$fit
##D 
##D # using the Cox model for the censoring times given edema
##D 
##D WCox=ipcw(Surv(time,status)~X2,data=dat,model="cox",times=sort(unique(dat$time)),otimes=dat$time)
##D WCox$fit
##D 
##D plot(WKM$fit)
##D lines(sort(unique(dat$time)),1-WCox$wt[1,],type="l",col=2,lty=3,lwd=3)
##D lines(sort(unique(dat$time)),1-WCox$wt[2,],type="l",col=3,lty=3,lwd=3)
##D 
##D # using the stratified Kaplan-Meier for the censoring times given X2
##D 
##D WKM2=ipcw(Surv(time,status)~X2,data=dat,model="nonpar",times=sort(unique(dat$time)),otimes=dat$time)
##D plot(WKM2$fit,add=TRUE)
## End(Not run)
 


